1

Topic: iRedAdmin-Pro-SQL-4.6 has been released

Dear all,

iRedAdmin-Pro-SQL-4.6 (iRedAdmin-Pro for MySQL, MariaDB and PostgreSQL backends) is now available for upgrading and purchasing. This is a small bug fix release, but this bug may affect other features and cause SQL data integrity, so we think it's necessary to release a new version as soon as possible.

How to download the latest iRedAdmin-Pro

If you deployed iRedMail server with the iRedMail Easy platform, there's a upgrade available for your server, upgrading the server will get you the latest iRedAdmin-Pro.

If you deployed iRedMail with the standalone iRedMail installer, you can get download link of this new release by following steps below:

  • Login to iRedAdmin-Pro as global admin

  • Click "License" on the top-right corner, it will show you basic license info and a "Download" button if new version is available for upgrading.

If above steps don't work for you, please send an email to support @ iredmail.org to get download link of the latest release.

Below are detailed changes since iRedAdmin-Pro-SQL-4.6:

Improvements
  • Able to search mailing list account.

Fixed issues
  • Error while deleting all admin activitys (`Activites -> Admin Log`).

  • Can not view quarantined mail message.

  • Error while searching mail accounts.

  • Can not view user profile if domain has mulitple mail alias accounts.

  • Several errors in upgrade script `tools/upgrade_iredadmin.sh`.

2

Re: iRedAdmin-Pro-SQL-4.6 has been released

Can I skip version 4.5 and update from 4.4 to 4.6 right away? If not, where can I download version 4.5? In the update to the e-mail comes only a link to version 4.6.

3

Re: iRedAdmin-Pro-SQL-4.6 has been released

lauris.neimanis wrote:

Can I skip version 4.5 and update from 4.4 to 4.6 right away?

Please upgrade iRedMail to the latest iRedMail-1.3.2 first, and do not skip any (iRedMail) releases. Upgrade tutorials are available here: https://docs.iredmail.org/iredmail.releases.html

AFTER you have iRedMail-1.3.2 running, it's ok to upgrade iRedAdmin-Pro from 4.4 to 4.6 directly and skip 4.5. smile

----

Buy me a cup of coffee ($5) to support iRedMail:

buy me a cup of coffee

4 (edited by mejo 2020-11-20 02:00:06)

Re: iRedAdmin-Pro-SQL-4.6 has been released

After upgrading to pro version 4.6, I get the following error in apache logs:

mod_wsgi (pid=27209): Failed to exec Python script file '/opt/www/iredadmin/iredadmin.py'.
mod_wsgi (pid=27209): Exception occurred processing WSGI script '/opt/www/iredadmin/iredadmin.py'.
Traceback (most recent call last):
  File "/opt/www/iredadmin/iredadmin.py", line 8, in <module>
    from libs import iredbase
  File "/opt/www/iredadmin/libs/iredbase.py", line 18, in <module>
    from . import iredutils
  File "/opt/www/iredadmin/libs/iredutils.py", line 92
    def is_auth_email(s) -> bool:
                         ^
SyntaxError: invalid syntax

5

Re: iRedAdmin-Pro-SQL-4.6 has been released

You're running Apache wsgi module for Python 2, please install the wsgi module for Python 3 instead and update Apache config file to run the Python 3 version for iRedAdmin-Pro.

----

Buy me a cup of coffee ($5) to support iRedMail:

buy me a cup of coffee

6

Re: iRedAdmin-Pro-SQL-4.6 has been released

ZhangHuangbin wrote:

You're running Apache wsgi module for Python 2, please install the wsgi module for Python 3 instead and update Apache config file to run the Python 3 version for iRedAdmin-Pro.

Thanks a lot, that indeed did the trick. For reference, on Debian Buster that's done by installing libapache2-mod-wsgi-py3 (which will uninstall libapache2-mod-wsgi).